Bug 856082 - [TEXT] When moving disk, typo in rhevm event log
[TEXT] When moving disk, typo in rhevm event log
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
Unspecified Unspecified
medium Severity medium
: ---
: 3.2.0
Assigned To: Vered Volansky
Aharon Canan
storage
:
Depends On:
Blocks: 915537
  Show dependency treegraph
 
Reported: 2012-09-11 03:19 EDT by Anush Shetty
Modified: 2016-02-10 13:05 EST (History)
13 users (show)

See Also:
Fixed In Version: sf3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-08 05:15:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Anush Shetty 2012-09-11 03:19:22 EDT
Description of problem: While moving the disks to a different storage domain, the log message displayed has a typo.

Version-Release number of selected component (if applicable):
rhevm-webadmin-portal-3.1.0-15.el6ev.noarch

How reproducible:


Steps to Reproduce:
1. Move disk from one storage domain to another
2.
3.
  
Actual results:
Moveing Disk from distribute to distribute-replicate-2x2

Expected results:
Moving Disk from distribute to distribute-replicate-2x2

Additional info:
Comment 3 Ayal Baron 2012-09-12 03:23:57 EDT
Please attach backend log and screenshot
Comment 4 Itamar Heim 2012-09-21 03:32:58 EDT
Anush - we are missing logs/screenshot, and grep on the codebase didn't find the string 'Moveing' (and i checked older tags as well)
please reopen if reproduces on latest builds and provide logs/screenshot.

thanks,
   Itamar
Comment 5 Itamar Heim 2012-09-23 07:05:53 EDT
thanks to shireesh:

backend/manager/modules/dal/src/main/resources/bundles/AuditLogMessages.properties

job.MoveOrCopyDisk=${Action}ing Disk from ${SourceSD} to ${TargetSD}

I guess the ${Action} gets replaced by "Move", resulting in "Moveing"
Comment 6 Vered Volansky 2012-11-18 08:04:09 EST
Fixed in patch -
http://gerrit.ovirt.org/#/c/9303/
Change-Id: I53bb3238d1a5e6b3e966adf488a10946e252ffe3

Note: The error message appears in the 'tasks' tab and NOT in the log.
Comment 7 Vered Volansky 2012-11-27 07:14:53 EST
Patch is merged u/s.

http://gerrit.ovirt.org/#/c/9303/
Change-Id: I53bb3238d1a5e6b3e966adf488a10946e252ffe3
Comment 8 Allon Mureinik 2012-12-12 05:28:50 EST
both patches are merged upstream.
Comment 10 Aharon Canan 2013-07-15 12:11:24 EDT
verified using is5

from "tasks" tab - 
	
Last Task: 2013-Jul-15, 19:10 Moving Disk testvm01_Disk1 from testdomain1 to testdomain2

Note You need to log in before you can comment on or make changes to this bug.